IdeaModel (Gradle API 7.6.4)

Package org.gradle.plugins.ide.idea.model

## Class IdeaModel

- java.lang.Object
- - org.gradle.plugins.ide.idea.model.IdeaModel

-     public class IdeaModel
      extends java.lang.Object

  DSL-friendly model of the IDEA project information. First point of entry when it comes to customizing the IDEA generation.

  See the examples in docs for `IdeaModule` or `IdeaProject`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IdeaModel()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IdeaModule` | `getModule()` | Configures IDEA module information.
    `IdeaProject` | `getProject()` | Configures IDEA project information.
    `java.lang.String` | `getTargetVersion()` | Configures the target IDEA version.
    `IdeaWorkspace` | `getWorkspace()` | Configures IDEA workspace information.
    `void` | `module​(Closure closure)` | Configures IDEA module information.
    `void` | `module​(Action<? super IdeaModule> action)` | Configures IDEA module information.
    `void` | `pathVariables​(java.util.Map<java.lang.String,​java.io.File> pathVariables)` | Adds path variables to be used for replacing absolute paths in resulting files (*.iml, etc.).
    `void` | `project​(Closure closure)` | Configures IDEA project information.
    `void` | `project​(Action<? super IdeaProject> action)` | Configures IDEA project information.
    `void` | `setModule​(IdeaModule module)` |
    `void` | `setProject​(IdeaProject project)` |
    `void` | `setTargetVersion​(java.lang.String targetVersion)` |
    `void` | `setWorkspace​(IdeaWorkspace workspace)` |
    `void` | `workspace​(Closure closure)` | Configures IDEA workspace information.
    `void` | `workspace​(Action<? super IdeaWorkspace> action)` | Configures IDEA workspace information.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdeaModel

          public IdeaModel()

  - ### Method Detail

    - #### getModule

          public IdeaModule getModule()

      Configures IDEA module information.

      For examples see docs for `IdeaModule`.

    - #### setModule

          public void setModule​(IdeaModule module)

    - #### getProject

          public IdeaProject getProject()

      Configures IDEA project information.

      For examples see docs for `IdeaProject`.

    - #### setProject

          public void setProject​(IdeaProject project)

    - #### getWorkspace

          public IdeaWorkspace getWorkspace()

      Configures IDEA workspace information.

      For examples see docs for `IdeaWorkspace`.

    - #### setWorkspace

          public void setWorkspace​(IdeaWorkspace workspace)

    - #### getTargetVersion

          public java.lang.String getTargetVersion()

      Configures the target IDEA version.

    - #### setTargetVersion

          public void setTargetVersion​(java.lang.String targetVersion)

    - #### module

          public void module​(@DelegatesTo(IdeaModule.class)
                             Closure closure)

      Configures IDEA module information.

      For examples see docs for `IdeaModule`.

    - #### module

          public void module​(Action<? super IdeaModule> action)

      Configures IDEA module information.

      For examples see docs for `IdeaModule`.

      Since:
        3.5

    - #### project

          public void project​(@DelegatesTo(IdeaProject.class)
                              Closure closure)

      Configures IDEA project information.

      For examples see docs for `IdeaProject`.

    - #### project

          public void project​(Action<? super IdeaProject> action)

      Configures IDEA project information.

      For examples see docs for `IdeaProject`.

      Since:
        3.5

    - #### workspace

          public void workspace​(@DelegatesTo(IdeaWorkspace.class)
                                Closure closure)

      Configures IDEA workspace information.

      For examples see docs for `IdeaWorkspace`.

    - #### workspace

          public void workspace​(Action<? super IdeaWorkspace> action)

      Configures IDEA workspace information.

      For examples see docs for `IdeaWorkspace`.

      Since:
        3.5

    - #### pathVariables

          public void pathVariables​(java.util.Map<java.lang.String,​java.io.File> pathVariables)

      Adds path variables to be used for replacing absolute paths in resulting files (*.iml, etc.).

      For example see docs for `IdeaModule`.

      Parameters:
        `pathVariables` - A map with String->File pairs.